Bug 216357 - games/frobtads and games/qtads: fail to build with clang 4.0
Summary: games/frobtads and games/qtads: fail to build with clang 4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: needs-patch
Depends on:
Blocks: 216008
  Show dependency treegraph
 
Reported: 2017-01-21 19:19 UTC by Jan Beich
Modified: 2017-02-02 07:36 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (kaiwang27)


Attachments
Patch for fixing build with clang 4.0 (667 bytes, patch)
2017-01-31 22:22 UTC, kaiwang27
no flags Details | Diff
Patch for qtads. (fix build and upgrade to 2.1.7) (1.44 KB, patch)
2017-01-31 23:03 UTC, kaiwang27
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-01-21 19:19:05 UTC
tads3/vmtz.cpp:1985:30: error: ordered comparison between pointer and zero ('vmtz_trans *' and 'int')
            result->set(tcur > 0 ? tcur - 1 : tcur);
                        ~~~~ ^ ~

build log: http://sprunge.us/bbeQ
regressed by: https://github.com/llvm-mirror/clang/commit/4b6ad14285f3
Comment 1 Jan Beich freebsd_committer 2017-01-21 19:25:59 UTC
games/frobtads needs the same fix.

tads3/vmtz.cpp:1987:30: error: ordered comparison between pointer and zero ('vmtz_trans *' and 'int')
            result->set(tcur > 0 ? tcur - 1 : tcur);
                        ~~~~ ^ ~

build log: http://sprunge.us/PESC
Comment 2 Tobias C. Berner freebsd_committer 2017-01-21 20:26:15 UTC
It seems there is an updated version of this file:
https://github.com/realnc/qtads/blob/master/tads3/vmtz.cpp#L2049
Comment 3 kaiwang27 2017-01-31 22:22:28 UTC
Created attachment 179480 [details]
Patch for fixing build with clang 4.0

I think the upstream change found by Tobias should work.

Attached patch for fixing build with clang 4.0.
Comment 4 kaiwang27 2017-01-31 23:03:15 UTC
Created attachment 179482 [details]
Patch for qtads. (fix build and upgrade to 2.1.7)

Add another patch for qtads.

* Fix the build with clang 4.0 with the same patch
* Upgrade to 2.1.7
Comment 5 commit-hook freebsd_committer 2017-02-01 05:27:12 UTC
A commit references this bug:

Author: jbeich
Date: Wed Feb  1 05:26:09 UTC 2017
New revision: 432973
URL: https://svnweb.freebsd.org/changeset/ports/432973

Log:
  games/frobtads: unbreak with clang 4.0

  tads3/vmtz.cpp:1987:30: error: ordered comparison between pointer and zero ('vmtz_trans *' and 'int')
              result->set(tcur > 0 ? tcur - 1 : tcur);
                          ~~~~ ^ ~

  PR:		216357
  Reported by:	antoine (via exp-run)
  Submitted by:	kaiwang27@gmail.com (maintainer)

Changes:
  head/games/frobtads/Makefile
  head/games/frobtads/files/
  head/games/frobtads/files/patch-tads3_vmtz.cpp
Comment 6 commit-hook freebsd_committer 2017-02-01 05:27:14 UTC
A commit references this bug:

Author: jbeich
Date: Wed Feb  1 05:26:23 UTC 2017
New revision: 432974
URL: https://svnweb.freebsd.org/changeset/ports/432974

Log:
  games/qtads: unbreak with clang 4.0

  tads3/vmtz.cpp:1985:30: error: ordered comparison between pointer and zero ('vmtz_trans *' and 'int')
              result->set(tcur > 0 ? tcur - 1 : tcur);
                          ~~~~ ^ ~

  PR:		216357
  Reported by:	antoine (via exp-run)
  Submitted by:	kaiwang27@gmail.com (maintainer)

Changes:
  head/games/qtads/Makefile
  head/games/qtads/files/patch-tads3_vmtz.cpp
Comment 7 commit-hook freebsd_committer 2017-02-01 05:34:25 UTC
A commit references this bug:

Author: jbeich
Date: Wed Feb  1 05:30:00 UTC 2017
New revision: 432990
URL: https://svnweb.freebsd.org/changeset/ports/432990

Log:
  games/qtads: update to 2.1.7

  Changes:	https://github.com/realnc/qtads/compare/2.1.6...2.1.7
  PR:		216357
  Submitted by:	kaiwang27@gmail.com (maintainer)
  MFH:		2017Q1

Changes:
  head/games/qtads/Makefile
  head/games/qtads/distinfo
Comment 8 commit-hook freebsd_committer 2017-02-02 07:35:53 UTC
A commit references this bug:

Author: jbeich
Date: Thu Feb  2 07:34:59 UTC 2017
New revision: 433125
URL: https://svnweb.freebsd.org/changeset/ports/433125

Log:
  MFH: r432973 r432974

  games/frobtads, games/qtads: unbreak with clang 4.0

  tads3/vmtz.cpp:1987:30: error: ordered comparison between pointer and zero ('vmtz_trans *' and 'int')
              result->set(tcur > 0 ? tcur - 1 : tcur);
                          ~~~~ ^ ~

  PR:		216357
  Reported by:	antoine (via exp-run)
  Submitted by:	kaiwang27@gmail.com (maintainer)
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2017Q1/
  branches/2017Q1/games/frobtads/Makefile
  branches/2017Q1/games/frobtads/files/
  branches/2017Q1/games/qtads/Makefile
  branches/2017Q1/games/qtads/files/patch-tads3_vmtz.cpp
Comment 9 commit-hook freebsd_committer 2017-02-02 07:36:56 UTC
A commit references this bug:

Author: jbeich
Date: Thu Feb  2 07:36:39 UTC 2017
New revision: 433126
URL: https://svnweb.freebsd.org/changeset/ports/433126

Log:
  MFH: r432990

  games/qtads: update to 2.1.7

  Changes:	https://github.com/realnc/qtads/compare/2.1.6...2.1.7
  PR:		216357
  Submitted by:	kaiwang27@gmail.com (maintainer)
  Approved by:	ports-secteam (delphij)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/games/qtads/Makefile
  branches/2017Q1/games/qtads/distinfo